---
search:
  tags:
    - license
    - POST
seo:
  description: >-
    Request a trial and send a code to the email. Reference for the POST
    /api/v1/license/trial endpoint in the TimescaleDB Enterprise API.
  noindex: true
sidebar:
  label: Request a trial
  badge: POST
title: Request a trial
type: openapi-operation
---
Request a trial and send a code to the email.

`POST /api/v1/license/trial`

**Request body** (`application/json`, required)

- `company` (string, required) — Company name
- `email` (string, required) — Work email. The trial service sends the code to it
- `first_name` (string, required) — Contact first name
- `last_name` (string, required) — Contact last name

Request body example:

```json
{
  "company": "string",
  "email": "string",
  "first_name": "string",
  "last_name": "string"
}
```

**Responses**

- `202` — Accepted
- `default` — Error

Response example, 202:

```json
{
  "expires_at": "2019-08-24T14:15:22Z",
  "request_id": "string"
}
```
